{ pkgs, ... }:
{
	imports = [
		./default.nix
		../hardware/network.nix
	];

	services.greetd = {
	  enable = true;
		settings = {
			default_session = {
				# command = "${pkgs.greetd.greetd}/bin/agreety --cmd sway";
				command = "${pkgs.greetd.tuigreet}/bin/tuigreet -t -r --remember-user-session --asterisks --cmd sway";
				# missing compositor
				# command = "${pkgs.greetd.wlgreet}/bin/wlgreet --command sway";
			};
		};
		# package = pkgs.greetd.tuigreet;
		# package = pkgs.greetd.wlgreet;
		# package = pkgs.greetd.gtkgreet;
		# package = pkgs.greetd.regreet;
	};

	programs.sway = {
		enable = true;
		wrapperFeatures = { gtk = true; };
		extraPackages = with pkgs; [
			alacritty
			swayidle
			swaylock-effects
			mako
			bemenu
			# - bar
			i3blocks
			acpi
			lm_sensors
			# - tools
			wl-clipboard
			wdisplays
			ponymix
			brightnessctl
			gammastep
			grim
			slurp
		];
	};
	location.provider = "geoclue2";

	xdg.portal.wlr = {
		enable = true;
		settings.screencast = {
			chooser_type = "simple";
			chooser_cmd = "${pkgs.slurp}/bin/slurp -f %o -or";
		};
	};

	# done my sway:
	#  security.pam.services.swaylock = {};
	#  hardware.opengl.enable = true;
	#  fonts.enableDefaultFonts = true;
	#  programs.dconf.enable = true; # gtk theme

	# services.acpid.enable = true;
}
