{ pkgs, ... }:
{
  imports = [
    ./default.nix
  ];

	systemd.network.networks.wifi = {
		matchConfig = {
			Name = "wlan0";
			SSID = [
				"!HotoHo-v6"
			];
		};
		DHCP = "ipv4";
		networkConfig = {
			IPv6AcceptRA = true;
			IPv6PrivacyExtensions = true;
		};
	};
	systemd.network.networks.wifi-v6 = {
		matchConfig = {
			Name = "wlan0";
			SSID = [
				"urbanForest-v6"
			];
		};
		networkConfig = {
			DNSSEC = false;
			IPv6AcceptRA = true;
			IPv6PrivacyExtensions = true;
		};
	};
	systemd.network.networks.wifi-unsec = {
		matchConfig = {
			Name = "wlan0";
			SSID = [
				"wanderverein" # fake to keep
			#	"urbanForest"
			];
		};
		DHCP = "ipv4";
		networkConfig = {
			IPv6AcceptRA = true;
			IPv6PrivacyExtensions = true;
			DNSSEC = false;
			DNS = [
				"2001:4860:4860::8888"
				"8.8.8.8"
			];
		};
		dhcpV4Config = {
			UseDomains = false;
			UseDNS = false;
		};
		dhcpV6Config = {
			UseDNS = false;
		};
		ipv6AcceptRAConfig = {
			UseDNS = false;
		};
	};
	systemd.network.networks.eth = {
		matchConfig.Name = "en*";
		DHCP = "ipv4";
		networkConfig = {
			IPv6AcceptRA = true;
			IPv6PrivacyExtensions = true;
		};
	};
}